package com.weaver.seconddev.interfaces.prop;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@RefreshScope
public class ConfigProp {
    //htcmsoasync
    @Value("${htcmsoasync-appKey}")
    private String htcmsoasync_appKey;
    @Value("${htcmsoasync-oaapproveresulturl}")
    private String htcmsoasync_oaapproveresulturl;
    @Value("${srmbacklisturl}")
    private String srmbacklisturl;



    //htcrmoasync
    @Value("${TempUnfreeze}")
    private String TempUnfreeze;
    //htcrmoasync.times
    @Value("${htcrmoasync-times}")
    private String htcrmoasync_times;
    @Value("${CreateBilling}")
    private String CreateBilling;
    //htcrmoasync.appkey
    @Value("${htcrmoasync-appkey}")
    private String htcrmoasync_appkey;



    //htctripmt
    //htctripmt.appkey
    @Value("${weaver-secondev-htctripmt-appkey}")
    private String weaver_secondev_htctripmt_appkey;
    //htctripmt.appkey
    @Value("${weaver-secondev-htctripmt-appsecurity}")
    private String weaver_secondev_htctripmt_appsecurity;
    @Value("${isneedxzsl}")
    private String isneedxzsl;



    //hteasoasync
    //hteasoasync.url
    @Value("${weaver-secondev-hteasoasync-url}")
    private String weaver_secondev_hteasoasync_url;
    @Value("${TravelApply}")
    private String TravelApply;
    @Value("${DelayDateSync}")
    private String DelayDateSync;
    @Value("${intermediarysync}")
    private String intermediarysync;
    @Value("${FeeApplication}")
    private String FeeApplication;
    @Value("${InterLoan}")
    private String InterLoan;
    @Value("${getTzlhtApplyResultUrl}")
    private String getTzlhtApplyResultUrl;
    @Value("${uploadZZInfoUrl}")
    private String uploadZZInfoUrl;
    @Value("${syncOaApplyForm}")
    private String syncOaApplyForm;
    @Value("${easappkey}")
    private String easappkey;
    @Value("${uploadDZDAApprovelUrl}")
    private String uploadDZDAApprovelUrl;
    @Value("${updatevoucherurl}")
    private String updatevoucherurl;
    @Value("${OA_Golden_Rewrite}")
    private String OA_Golden_Rewrite;
    //hteasoasync.appKey
    @Value("${weaver-secondev-hteasoasync-appKey}")
    private String weaver_secondev_hteasoasync_appKey;
    @Value("${rpaLimitPay}")
    private String rpaLimitPay;
    @Value("${getApproveResultUrl}")
    private String getApproveResultUrl;
    @Value("${dzdafd_zz_url}")
    private String dzdafd_zz_url;
    @Value("${newblacklist}")
    private String newblacklist;
    @Value("${EasYszxfpApplyResult}")
    private String EasYszxfpApplyResult;
    @Value("${SCFAndEASApplyUser}")
    private String SCFAndEASApplyUser;
    //htecmoasync
    @Value("${isoresulturl}")
    private String isoresulturl;


    //htemail
    @Value("${htgroup}")
    private String htgroup;
    @Value("${htgroupport}")
    private String htgroupport;
    @Value("${htgd}")
    private String htgd;
    @Value("${htgdport}")
    private String htgdport;
    @Value("${guangdao}")
    private String guangdao;
    @Value("${guangdaoport}")
    private String guangdaoport;




    //htk3oasync
    @Value("${approval_url}")
    private String approval_url;
    @Value("${customer_url}")
    private String customer_url;
    @Value("${supplier_url}")
    private String supplier_url;
    @Value("${porequest_url}")
    private String porequest_url;
    @Value("${lplysl_url}")
    private String lplysl_url;
    @Value("${lplyhtk_url}")
    private String lplyhtk_url;




    //htmesoasync
    @Value("${A040WLPS}")
    private String A040WLPS;
    @Value("${GDZG04OaAuditResult}")
    private String GDZG04OaAuditResult;



    //htportaloaUrl
    @Value("${po_user}")
    private String po_user;
    @Value("${po_password}")
    private String po_password;
    @Value("${accountUrl}")
    private String accountUrl;
    @Value("${getSystemListUrl}")
    private String getSystemListUrl;
    @Value("${url_password}")
    private String url_password;
    @Value("${mesaccountUrl}")
    private String mesaccountUrl;
    @Value("${plan_url}")
    private String plan_url;
    @Value("${pc_url}")
    private String pc_url;
    @Value("${JCZS_ycsdid}")
    private String JCZS_ycsdid;
    @Value("${JCZS_jdbzid}")
    private String JCZS_jdbzid;
    @Value("${JCZS_WJYQTZR}")
    private String JCZS_WJYQTZR;
    @Value("${JCZS_QDYQTZR}")
    private String JCZS_QDYQTZR;
    @Value("${JCZS_CSYQTZR}")
    private String JCZS_CSYQTZR;
    @Value("${YC_pcfsid}")
    private String YC_pcfsid;
    @Value("${YC_WJYQTZR}")
    private String YC_WJYQTZR;
    @Value("${YC_QDYQTZR}")
    private String YC_QDYQTZR;
    @Value("${YC_CSYQTZR}")
    private String YC_CSYQTZR;
    @Value("${api_appkey}")
    private String api_appkey;
    @Value("${didicreate}")
    private String didicreate;
    @Value("${didiRuleId_0}")
    private String didiRuleId_0;
    @Value("${didiRuleId_1}")
    private String didiRuleId_1;

    //htpmoasync
    @Value("${projectConclusion}")
    private String projectConclusion;
    @Value("${account}")
    private String account;
    @Value("${password}")
    private String password;



    //htscfoasync.
    @Value("${approvalResult}")
    private String approvalResult;




    //htsloasync
    @Value("${dttrip_orderUrl}")
    private String dttrip_orderUrl;
    @Value("${dttrip_tokenUrl}")
    private String dttrip_tokenUrl;
    @Value("${dttrip_account}")
    private String dttrip_account;
    @Value("${dttrip_password}")
    private String dttrip_password;
    @Value("${dttrip_secret}")
    private String dttrip_secret;
    @Value("${ServicesURL}")
    private String ServicesURL;
    @Value("${UserName}")
    private String UserName;
    @Value("${Key}")
    private String Key;




    //htsysjcmt
    @Value("${efsaccount}")
    private String efsaccount;
    @Value("${efspassword}")
    private String efspassword;



    //htsrmoasync
    @Value("${htshop}")
    private String htshop;
    @Value("${bjdsp}")
    private String bjdsp;
    @Value("${OaSrmVendorPunish}")
    private String OaSrmVendorPunish;




    //htwmsoasync
    @Value("${wllynmg_url}")
    private String wllynmg_url;
    @Value("${wlly_url}")
    private String wlly_url;



    //htxzsetting
    @Value("${creator}")
    private String creator;



    //MesInterfaceAddr
    @Value("${WsdlLocation}")
    private String WsdlLocation;


    //htsapoasync
    @Value("${prtype}")
    private String prtype;


    //htsrmoasync
    @Value("${gyszznew}")
    private String gyszznew;


    //htsrmoasync
    @Value("${gysxznew}")
    private String gysxznew;


    //htsrmoasync
    @Value("${SrmVenMatExtnew}")
    private String SrmVenMatExtnew;

    //htsrmoasync
    @Value("${htsrm_oa_venmatsextnew}")
    private String htsrm_oa_venmatsextnew;



    @Value("${carmessage}")
    private String carmessage;



}
