package com.weaver.seconddev.njwebservice.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Arrays;

/**
 * @Author liang.cheng
 * @Date 2025/1/21 15:45
 * @Description:
 * @Version 1.0
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BillingApplicationReq {

    private String systemFlag;

    private String applyNo;

    private String companyName;

    private String companyCode;

    private String billType;

    private String vendorName;

    private String vendorCode;

    private String applyDate;

    private String amount;

    private String REMARKS;

    private String ITFID;

    private BillingApplicationResItem[] BillingApplicationResItem;

    @Override
    public String toString() {
        return "BillingApplicationReq{" +
                "systemFlag='" + systemFlag + '\'' +
                ", applyNo='" + applyNo + '\'' +
                ", companyName='" + companyName + '\'' +
                ", companyCode='" + companyCode + '\'' +
                ", billType='" + billType + '\'' +
                ", vendorName='" + vendorName + '\'' +
                ", vendorCode='" + vendorCode + '\'' +
                ", applyDate='" + applyDate + '\'' +
                ", amount='" + amount + '\'' +
                ", remarks='" + REMARKS + '\'' +
                ", itFid='" + ITFID + '\'' +
                ", BillingApplicationResItem=" + Arrays.toString(BillingApplicationResItem) +
                '}';
    }
}
