package com.weaver.seconddev.njwebservice.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2025/1/21 15:49
 * @Description:
 * @Version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BillingApplicationResItem {

    private String pid;

    private String billNo;

    private String paymentId;

    private String dueDate;

    private String receiveAccountName;

    private String receiveAccount;

    private String receiveBankName;

    private String money;

    @Override
    public String toString() {
        return "BillingApplicationResItem{" +
                "pid='" + pid + '\'' +
                ", billNo='" + billNo + '\'' +
                ", paymentId='" + paymentId + '\'' +
                ", dueDate='" + dueDate + '\'' +
                ", receiveAccountName='" + receiveAccountName + '\'' +
                ", receiveAccount='" + receiveAccount + '\'' +
                ", receiveBankName='" + receiveBankName + '\'' +
                ", money='" + money + '\'' +
                '}';
    }
}
