package com.weaver.seconddev.njwebservice.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2025/1/6 6:08 PM
 * @Description: 光导物料退库审批流程明细表
 * @Version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MaterialDetailTablePo {

    private String materialNo;

    /**
     * 物料描述
     */
    private String materialDesc;

    private String departmentId;

    /**
     * 平均消耗
     */
    private String averageUse;

    /**
     * 本月累计
     */
    private String sumMonth;

    /**
     * 库存数量
     */
    private String inventoryCount;

    /**
     * 退库数量
     */
    private String outCount;


    private String money;

    /**
     * 成本中心
     */
    private String costCenter;


}
